### Function

# Gsk.RenderNode.deserialize

#### Declaration [src]

    GskRenderNode*
    gsk_render_node_deserialize (
      GBytes* bytes,
      GskParseErrorFunc error_func,
      gpointer user_data
    )

#### Description [src]

Loads data previously created via `gsk_render_node_serialize()`.

For a discussion of the supported format, see that function.

#### Parameters

`bytes` | `GBytes*`
| the bytes containing the data
| Ownership is not transferred to the callee
`error_func` | `GskParseErrorFunc`
| Callback on parsing errors or `NULL`
`user_data` | `gpointer`
| user_data for `error_func`

#### Return value

Returns: `GskRenderNode`
a new `GskRenderNode` or `NULL` on error.
Ownership of the data is transferred to the caller
Can be `NULL`